using LuskiServer.Enums;
using ServerDatabase;

namespace LuskiServer.Classes.TableDef;

public class Users
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<string> DisplayName { get; } = new("displayname");
    public static TableColumn<long> SelectedChannel { get; } = new("selected_channel");
    public static TableColumn<Status> Status { get; } = new("status");
    public static TableColumn<PictureType> PictureType { get; } = new("picture_type");
    public static TableColumn<byte[]> Picture { get; } = new("picture");
    public static TableColumn<long[]> Roles { get; } = new("roles");
    public static TableColumn<byte[]> Username { get; } = new("username");
    public static TableColumn<byte[]> Password { get; } = new("password");
    public static TableColumn<byte[]> Salt { get; } = new("salt");
    public static TableColumn<string> LoginToken { get; } = new("login_token");
    public static TableColumn<string> SessionKey { get; } = new("session_key");
    public static TableColumn<string> WSSTCP { get; } = new("wsstcp");
    public static TableColumn<string> Token { get; } = new("token");
    public static TableColumn<string[]> OfflineData { get; } = new("offline_data");
    public static TableColumn<string> OffileKey { get; } = new("offline_key");
}