using ServerDatabase;

namespace LuskiServer.Classes.TableDef;

public static class Categories
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<string> Name { get; } = new("name");
    public static TableColumn<string> Description { get; } = new("description");
    public static TableColumn<long[]> InnerCategories { get; } = new("inner_categories") { DefaultValue = Array.Empty<long>() };
    public static TableColumn<long[]> Channels { get; } = new("channels") { DefaultValue = Array.Empty<long>() };
    public static TableColumn<long[]> RoleOverides { get; } = new("role_overides") { DefaultValue = Array.Empty<long>() };
    public static TableColumn<long[]> UserOverides { get; } = new("member_overides") { DefaultValue = Array.Empty<long>() };
}