using LuskiServer.Enums;
using ServerDatabase;

namespace LuskiServer.Classes.TableDef;

public static class Channels
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<ChannelType> Type { get; } = new("type");
    public static TableColumn<byte[]> Name { get; } = new("name");
    public static TableColumn<byte[]> Description { get; } = new("description");
    public static TableColumn<string> Key { get; } = new("key");
    public static TableColumn<long[]> RoleOverides { get; } = new("role_overides");
    public static TableColumn<long[]> UserOverides { get; } = new("member_overides");
}