using LuskiServer.Enums;
using ServerDatabase;

namespace LuskiServer.Classes.TableDef;

public static class Roles
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<string> Name { get; } = new("name");
    public static TableColumn<string> Color { get; } = new("color");
    public static TableColumn<string> Description { get; } = new("description");
    public static TableColumn<ServerPermissions[]> ServerPermissions { get; } = new("server_perms");
}